#include <Widget/Layout/Row/VerticalSeparator/VerticalSeparator.hpp>
#include <Widget/Panel/Panel.hpp>

VerticalSeparator::VerticalSeparator() :
    Row(
        new Panel(glm::ivec2(2, 1), glm::vec4(0.0f)),
        new Panel(glm::ivec2(1, 1), Color::faded),
        new Panel(glm::ivec2(2, 1), glm::vec4(0.0f))
    )
{}